Data Hub
Feedback

Update feedback status

Workspace admin only. Requires the `feedback:admin` scope (browser sessions have it). Resolving or declining notifies the reporter. A note-only save does not.

PATCH
/feedback/{id}

Workspace admin only. Requires the feedback:admin scope (browser sessions have it). Resolving or declining notifies the reporter. A note-only save does not.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/feedback/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "status": "open"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "bug",  "title": "string",  "description": "string",  "attempted_action": "string",  "tool_name": "string",  "error_message": "string",  "source": "mcp",  "oauth_client_id": "string",  "oauth_client_name": "string",  "page_url": "string",  "status": "open",  "admin_note": "string",  "reporter": {    "id": "string",    "name": "string",    "email": "string"  },  "status_updated_by": {    "id": "string",    "name": "string",    "email": "string"  },  "status_updated_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}